PipeWire: Configuration

PipeWire 1.6.5

Loading...
Searching...
No Matches
Configuration
Utilities

Loading/saving properties from/to configuration files. More...

## Files
file | conf.h
| pipewire/conf.h

## Functions
int | pw_conf_load_conf_for_context (struct pw_properties *props, struct pw_properties *conf)
int | pw_conf_load_conf (const char *prefix, const char *name, struct pw_properties *conf)
int | pw_conf_load_state (const char *prefix, const char *name, struct pw_properties *conf)
int | pw_conf_save_state (const char *prefix, const char *name, const struct pw_properties *conf)
bool | pw_conf_find_match (struct spa_json *arr, const struct spa_dict *props, bool condition)
int | pw_conf_section_update_props (const struct spa_dict *conf, const char *section, struct pw_properties *props)
int | pw_conf_section_update_props_rules (const struct spa_dict *conf, const struct spa_dict *context, const char *section, struct pw_properties *props)
int | pw_conf_section_for_each (const struct spa_dict *conf, const char *section, int(*callback)(void *data, const char *location, const char *section, const char *str, size_t len), void *data)
int | pw_conf_match_rules (const char *str, size_t len, const char *location, const struct spa_dict *props, int(*callback)(void *data, const char *location, const char *action, const char *str, size_t len), void *data)
| [ { matches = [
int | pw_conf_section_match_rules (const struct spa_dict *conf, const char *section, const struct spa_dict *props, int(*callback)(void *data, const char *location, const char *action, const char *str, size_t len), void *data)

## Detailed Description

Loading/saving properties from/to configuration files.

## Function Documentation

## ◆ pw_conf_load_conf_for_context()

int pw_conf_load_conf_for_context | ( | struct pw_properties * | props,
|  | struct pw_properties * | conf )

## ◆ pw_conf_load_conf()

int pw_conf_load_conf | ( | const char * | prefix,
|  | const char * | name,
|  | struct pw_properties * | conf )

## ◆ pw_conf_load_state()

int pw_conf_load_state | ( | const char * | prefix,
|  | const char * | name,
|  | struct pw_properties * | conf )

## ◆ pw_conf_save_state()

int pw_conf_save_state | ( | const char * | prefix,
|  | const char * | name,
|  | const struct pw_properties * | conf )

## ◆ pw_conf_find_match()

bool pw_conf_find_match | ( | struct spa_json * | arr,
|  | const struct spa_dict * | props,
|  | bool | condition )

## ◆ pw_conf_section_update_props()

int pw_conf_section_update_props | ( | const struct spa_dict * | conf,
|  | const char * | section,
|  | struct pw_properties * | props )

## ◆ pw_conf_section_update_props_rules()

int pw_conf_section_update_props_rules | ( | const struct spa_dict * | conf,
|  | const struct spa_dict * | context,
|  | const char * | section,
|  | struct pw_properties * | props )

## ◆ pw_conf_section_for_each()

int pw_conf_section_for_each | ( | const struct spa_dict * | conf,
|  | const char * | section,
|  | int(* | callback )(void *data, const char *location, const char *section, const char *str, size_t len),
|  | void * | data )

## ◆ pw_conf_match_rules()

int pw_conf_match_rules | ( | const char * | str,
|  | size_t | len,
|  | const char * | location,
|  | const struct spa_dict * | props,
|  | int(* | callback )(void *data, const char *location, const char *action, const char *str, size_t len),
|  | void * | data )

[ { matches = [

# any of the items in matches needs to match, if one does,

# actions are emitted.

{

# all keys must match the value. ! negates. ~ starts regex.

<key> =

... } ... ] actions = { <action> =

... } } ]

## ◆ pw_conf_section_match_rules()

int pw_conf_section_match_rules | ( | const struct spa_dict * | conf,
|  | const char * | section,
|  | const struct spa_dict * | props,
|  | int(* | callback )(void *data, const char *location, const char *action, const char *str, size_t len),
|  | void * | data )